Skip to Content
EIS
API Referencev1Services

Get Catalog Options for a Service

GET
/v1/service/option/{serviceId}/all

Retrieve all original catalog options belonging to a service. Requires the service_view authority.

Path Parameters

serviceId*integer

Service catalog entry identifier.

Response Body

Service options retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/service/option/0/all'
Example Response
[  {    "id": 0,    "name": "string",    "supplierProductId": "string",    "optionType": 0,    "supplierOptionId": "string",    "service": {      "id": 0,      "name": "string",      "serviceProvider": {        "id": 0,        "name": "string",        "description": "string"      },      "carrier": {        "id": 0,        "name": "string"      },      "type": {        "id": 0,        "name": "string"      },      "supplierProductId": "string"    }  }]